> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apten.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Rescribe a lead to text messages

> Resubscribes a lead to text messages from Apten.

### Notes

This API only works if the lead has unsubscribed via Apten''s smart-unsubscribe feature, or via user-defined custom unsubscribe keywords. Leads who opt-out via a default keyword (e.g. "STOP", "UNSUBSCRIBE", "CANCEL", "END", "QUIT", and "STOP ALL") are ineligible for resubscription.

This API also turns Apten on for the lead.


## OpenAPI

````yaml post /leads/{leadId}/resubscribe
openapi: 3.0.1
info:
  title: AttentPublicAPI
  version: '2024-05-17T21:09:13Z'
servers:
  - url: https://api.attent.app/v1
security: []
paths:
  /leads/{leadId}/resubscribe:
    post:
      description: Resubscribes a lead to text messages from Apten.
      parameters:
        - name: leadId
          in: path
          required: true
          schema:
            type: string
          description: The ID of the lead to resubscribe.
      responses:
        '200':
          description: Lead resubscribed successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: >-
                      Returns "Lead resubscribed successfully." if the lead was
                      resubscribed.
                example:
                  message: Lead resubscribed successfully.
        '404':
          description: Lead not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                example:
                  message: 'Resource not found: Lead with id 12345'
      security:
        - api_key: []
components:
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header

````